Public Member Functions | Public Attributes | List of all members
libebook::BBeBHeader Struct Reference

## Public Member Functions
| BBeBHeader ()

## Public Attributes
unsigned | version
uint16_t | key
unsigned | rootOID
uint64_t | numberOfObjects
uint64_t | objectIndexOffset
unsigned | xmlCompSize
BBeBImageType | thumbnailType
unsigned | thumbnailSize
unsigned | dpi
unsigned | width
unsigned | tocOID

## Constructor & Destructor Documentation

## ◆ BBeBHeader()

libebook::BBeBHeader::BBeBHeader | ( |  | ) |

## Member Data Documentation

## ◆ dpi

unsigned libebook::BBeBHeader::dpi

## ◆ key

uint16_t libebook::BBeBHeader::key

## ◆ numberOfObjects

uint64_t libebook::BBeBHeader::numberOfObjects

## ◆ objectIndexOffset

uint64_t libebook::BBeBHeader::objectIndexOffset

## ◆ rootOID

unsigned libebook::BBeBHeader::rootOID

## ◆ thumbnailSize

unsigned libebook::BBeBHeader::thumbnailSize

## ◆ thumbnailType

BBeBImageType libebook::BBeBHeader::thumbnailType

## ◆ tocOID

unsigned libebook::BBeBHeader::tocOID

## ◆ version

unsigned libebook::BBeBHeader::version

## ◆ width

unsigned libebook::BBeBHeader::width

## ◆ xmlCompSize

unsigned libebook::BBeBHeader::xmlCompSize

The documentation for this struct was generated from the following file:

- BBeBParser.cpp